Bug 24566 - UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled
Summary: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-03 12:55 UTC by Kyle M Hall
Modified: 2020-04-15 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled (1.29 KB, patch)
2020-02-03 12:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled (1.40 KB, patch)
2020-02-03 13:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled (1.45 KB, patch)
2020-03-19 10:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-02-03 12:55:51 UTC
If UpdateItemLocationOnCheckin, it triggers an alert flag but cannot be acted on in the same way as LocalUse and thus should be removed in the same fashion.
Comment 1 Kyle M Hall 2020-02-03 12:59:07 UTC
Created attachment 98290 [details] [review]
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled

If UpdateItemLocationOnCheckin, it triggers an alert flag but cannot be acted on in the same way as LocalUse and thus should be removed in the same fashion.

Test Plan:
1) Enable UpdateItemLocationOnCheckin and set it up to trigger at
checkin for an item
2) Return that item via SIP2
3) Note the alert flag is set
4) Apply this patch
5) Repeat steps 1 and 2
6) The alert flag should not be set
Comment 2 Kyle M Hall 2020-02-03 13:00:54 UTC
Created attachment 98291 [details] [review]
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled

If UpdateItemLocationOnCheckin, it triggers an alert flag but cannot be acted on in the same way as LocalUse and thus should be removed in the same fashion.

Test Plan:
1) Enable UpdateItemLocationOnCheckin and set it up to trigger at
checkin for an item
2) Return that item via SIP2
3) Note the alert flag is set
4) Apply this patch
5) Repeat steps 1 and 2
6) The alert flag should not be set

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kevin Cook <ILS@cedarparktexas.gov>
Comment 3 Martin Renvoize 2020-03-19 10:29:48 UTC
Created attachment 101003 [details] [review]
Bug 24566: UpdateItemLocationOnCheckin triggers SIP2 alert flag, even with checked_in_ok enabled

If UpdateItemLocationOnCheckin, it triggers an alert flag but cannot be acted on in the same way as LocalUse and thus should be removed in the same fashion.

Test Plan:
1) Enable UpdateItemLocationOnCheckin and set it up to trigger at
checkin for an item
2) Return that item via SIP2
3) Note the alert flag is set
4) Apply this patch
5) Repeat steps 1 and 2
6) The alert flag should not be set

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Kevin Cook <ILS@cedarparktexas.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-03-19 10:31:11 UTC
Trivial and clear fix.. no QA script failures..

Passing QA
Comment 5 Martin Renvoize 2020-03-20 10:25:09 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 20:53:55 UTC
backported to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-13 18:09:37 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-15 22:10:22 UTC
Minor patch will not be backported to 18.11.x series